!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
! Ecriture (ou lecture) d'un vecteur 
! de longueur n par blocks de longueur nblock
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!


       subroutine lir(v,n,ifil,nblock)
      Implicit Real*8 (a-h,o-z)
      dimension v(n)
      ifin=0
      do
         ideb=ifin+1
         ifin=ifin+nblock
         if(ifin<=n) then
            read(ifil) v(ideb:ifin)
         else if(ifin>=n) then
            read(ifil) v(ideb:n)
            exit
         endif
      enddo
      end


!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!


       subroutine ecrir(v,n,ifil,nblock)
      Implicit Real*8 (a-h,o-z)
      dimension v(n)
      do
         ideb=ifin+1
         ifin=ifin+nblock
         if(ifin<n) then
            write(ifil) v(ideb:ifin)
         else if(ifin>n) then
            write(ifil) v(ideb:n),(0.d0,k=n+1,ifin)
            exit
         else if(ifin==n) then
            write(ifil) v(ideb:ifin)
            exit
         endif
      enddo
      end


!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
